import getFetch from './getFetch.js';

let marketingApi = {
  /** 获取全部渠道 */
  getAllChannel: '/sms/all-channel-list',
  // 获取模板管理列表
  getTemplateList: {
    method: 'post',
    url: '/sms/page-sms-setting',
    useFormData: true
  },
  // 获取模板管理列表详情表格
  getTemplateDetailList: {
    method: 'post',
    url: '/sms/page-template',
    useFormData: true
  },
  // 提审模板
  sendExamine: {
    method: 'post',
    url: '/sms/audit-template',
    useFormData: true
  },
  // 获取通道详情
  getSmsSetting: {
    method: 'post',
    url: '/sms/sms-setting-detail',
    useFormData: true
  },
  // 修改通道
  updateSms: {
    method: 'post',
    url: '/sms/update-sms-setting',
    useFormData: true
  },
  getSystemTemplate: '/sms/page-system-template',
  // 生成appid
  getAppid: '/sms/default-appid',
  activityGetList: '/operation/activity/getList',
  activityCategoryGetList: '/operation/activity/category/getList',
  activityRightMenuList: '/operation/activity/rightMenuList',
  activityUpdate: '/operation/activity/update',
  activityCategoryUpdate: {
    method: 'post',
    url: '/operation/activity/category/addOrUpdate'
  },

  // 节日管理
  getHolidayCategoryList: '/holidays/category/getList',
  getPageHolidays: '/holidays/page-holidays',
  getHolidayDetail: '/holidays/get-holidays',
  addHoliday: '/holidays/add-holidays',
  editHoliday: '/holidays/edit-holidays',
  delHoliday: '/holidays/delete-holidays',
  saveHolidayCategory: {
    method: 'post',
    url: '/holidays/category/addOrUpdate'
  }
};

let authApi = {
  /**            登录信息              */
  getUserInfo: '/loginuser',
  getLoginOut: '/logout',
};

marketingApi = getFetch(marketingApi, '/marketing-operation');
authApi = getFetch(authApi, '/gic-authcenter');

export default { ...marketingApi, ...authApi };
