const path = require("path");

module.exports = {
  productionSourceMap: process.env.NODE_ENV !== 'production',
  publicPath: '/gic-marketing-operation',
  devServer: {
    publicPath: '/gic-marketing-operation',
    overlay: {
      warnings: true,
      errors: true
    }
  },
  configureWebpack: config => {
    config.externals = {
      vue: 'Vue',
      axios: 'axios',
      vuex: 'Vuex',
      'vue-router': 'VueRouter',
      'element-ui': 'ELEMENT',
    };
    if (process.env.NODE_ENV === 'production') {
      config.optimization.minimizer[0].options.terserOptions.compress.warnings = false;
      config.optimization.minimizer[0].options.terserOptions.compress.drop_console = true;
      config.optimization.minimizer[0].options.terserOptions.compress.drop_debugger = true;
      config.optimization.minimizer[0].options.terserOptions.compress.pure_funcs = [
        'console.log'
      ];
    }
  }
};
